#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/...
#
# --- Backup-ZIP 1.5.0 for Eis/Fair Server ---
#
# Copyright (c) 2005      Hans-Peter Seiler <hanspeterseiler(at)web.de>
#               2014-2021 Marcus Roeckrath <marcus.roeckrath(at)gmx(dot)de>
#
# Creation:     15.09.2005  hs
# Last Update:  28.01.2021  mr
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#------------------------------------------------------------------------------

prog=backup-zip
deinstall=/var/install/deinstall/${prog}

# Make a Backup of the Config if exists
if [ -f "/etc/config.d/${prog}" ] ; then
    cp -a /etc/config.d/${prog} /etc/config.d/${prog}-sich
fi

# Delete old Version if exists

if [ -f $deinstall ] ; then
    /var/install/bin/del-package -p ${prog} --update
fi
