#! /bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/BACKUP_TEC_CUI.sh - script dialog for ece
#
# Creation:     2014-03-15 mr
# Last update:  2022-01-16 mr
#
# Copyright (c) 2014-2022 Marcus Roeckrath, marcus.roeckrath(at)gmx(dot)de
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

# ---------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
# ---------------------------------------------------------------------------
exec_dialog()
{
    win="${p2}"

    sellist='bzip2,gzip,rar,rsyn,none'

    ece_select_list_dlg "${win}" "Select backup technic/compression" "${sellist}"
}

# ---------------------------------------------------------------------------
# main routine
# ---------------------------------------------------------------------------

cui_init
cui_run

# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------

exit 0
