#! /bin/sh
#----------------------------------------------------------------------------
# /tmp/...
#
# --- Backup-ZIP 1.5.0 for Eis/Fair Server ---
#
# Copyright (c) 2005      Hans-Peter Seiler <hanspeterseiler(at)web.de>
#               2014-2021 Marcus Roeckrath  <marcus.roeckrath(at)gmx(dot)de>
#
# Creation:     15.09.2005  hs
# Last Update:  28.01.2021  mr
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#------------------------------------------------------------------------------

prog=backup-zip

# menu
/var/install/bin/add-menu setup.services.menu   \
                          setup.services.${prog}.menu \
                          "Backup-ZIP"

# update config
if [ -f /etc/config.d/${prog}-sich ] ; then
  update=1
else
  update=0
fi
/var/install/config.d/${prog}-update.sh
if [ "$update" == "1" ] ; then
  /var/install/config.d/${prog}.sh
fi

# clean
rm -f -v /tmp/preinstall.sh
rm -f -v /tmp/install.log
